{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.vanilla.ice_timer": {
			"states": {
				"default": {	
					"on_entry": [
						"/event entity @s set_ice_overlay_to_false"
					],			
					"transitions": [
						{ "chilled": "q.property('ldz:ice_overlay') == true" }
					]
				},
				"chilled": {
					"animations": [
						"ice_timer",
						"ice_damage"
					],
					"transitions": [
						{ "default": "q.property('ldz:ice_overlay') == false" }
					]
				}
			}
		}
	}
}